    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.lang.Exception

    java.lang.Object
       |
       +----java.lang.Throwable
               |
               +----java.lang.Exception

public class Exception
extends Throwable

The class `Exception` and its subclasses are a form of `Throwable` that indicates conditions that a reasonable application might want to catch.

See Also:
  Error

##

Exception()
  Constructs an `Exception` with no specified detail message.
Exception(String)
  Constructs an `Exception` with the specified detail message.

##

Exception

     public Exception()

  Constructs an `Exception` with no specified detail message.

Exception

     public Exception(String s)

  Constructs an `Exception` with the specified detail message.

  Parameters:
    s - the detail message.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.